com.buschmais.jqassistant.plugin.junit.impl.schema

## Class Failure

- java.lang.Object
- - com.buschmais.jqassistant.plugin.junit.impl.schema.Failure

-     public class Failure
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="message" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `content`
    `protected String` | `message`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Failure()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` Ruft den Wert der content-Eigenschaft ab.
    `String` | `getMessage()` Ruft den Wert der message-Eigenschaft ab.
    `String` | `getType()` Ruft den Wert der type-Eigenschaft ab.
    `void` | `setContent(String value)` Legt den Wert der content-Eigenschaft fest.
    `void` | `setMessage(String value)` Legt den Wert der message-Eigenschaft fest.
    `void` | `setType(String value)` Legt den Wert der type-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected String content

    - #### type

          protected String type

    - #### message

          protected String message

  - ### Constructor Detail

    - #### Failure

          public Failure()

  - ### Method Detail

    - #### getContent

          public String getContent()

      Ruft den Wert der content-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(String value)

      Legt den Wert der content-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Ruft den Wert der type-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Legt den Wert der type-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public String getMessage()

      Ruft den Wert der message-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(String value)

      Legt den Wert der message-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.